> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lines

> Qminder's backend sends HTTP requests to registered URLs every time a Line in the account has changed.

### Line changed

This HTTP request is sent to the registered URL every time a Line was changed in Qminder.

<CodeGroup>
  ```bash bash theme={null}
  POST /webhooks HTTP/1.1
  X-Qminder-Signature: SIGNATURE
  Content-Type: application/json

  {
    "type": "line_changed",
    "data": {
      "id": 12345,
      "name": "Registration"
    }
  ```
</CodeGroup>

This HTTP request includes the following data fields in its request body:

| Field name    | Data type       | Description                                                                                        |
| ------------- | --------------- | -------------------------------------------------------------------------------------------------- |
| **type**      | "line\_changed" | Always "line\_changed" for the Line Changed event                                                  |
| **data.id**   | number          | The ID of the line that has changed                                                                |
| **data.name** | string          | The name of the line that has changed. If the line's name has changed, this value is the new name. |
